declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly column: {
        readonly type: NumberConstructor;
        readonly default: 3;
    };
    readonly contentStyle: import("vue").PropType<string | import("vue").CSSProperties>;
    readonly labelAlign: {
        readonly type: import("vue").PropType<import("./interface").LabelAlign>;
        readonly default: "left";
        readonly validator: (value: string) => boolean;
    };
    readonly labelPlacement: {
        readonly type: import("vue").PropType<import("./interface").LabelPlacement>;
        readonly default: "left";
        readonly validator: (value: string) => boolean;
    };
    readonly labelStyle: import("vue").PropType<string | import("vue").CSSProperties>;
    readonly separator: {
        readonly type: StringConstructor;
        readonly default: ":";
    };
    readonly title: StringConstructor;
    readonly bordered: BooleanConstructor;
    readonly size: {
        readonly type: import("vue").PropType<import("./interface").Size>;
        readonly default: "small";
        readonly validator: (value: string) => boolean;
    };
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly column: {
        readonly type: NumberConstructor;
        readonly default: 3;
    };
    readonly contentStyle: import("vue").PropType<string | import("vue").CSSProperties>;
    readonly labelAlign: {
        readonly type: import("vue").PropType<import("./interface").LabelAlign>;
        readonly default: "left";
        readonly validator: (value: string) => boolean;
    };
    readonly labelPlacement: {
        readonly type: import("vue").PropType<import("./interface").LabelPlacement>;
        readonly default: "left";
        readonly validator: (value: string) => boolean;
    };
    readonly labelStyle: import("vue").PropType<string | import("vue").CSSProperties>;
    readonly separator: {
        readonly type: StringConstructor;
        readonly default: ":";
    };
    readonly title: StringConstructor;
    readonly bordered: BooleanConstructor;
    readonly size: {
        readonly type: import("vue").PropType<import("./interface").Size>;
        readonly default: "small";
        readonly validator: (value: string) => boolean;
    };
}>> & Readonly<{}>, {
    readonly size: import("./interface").Size;
    readonly bordered: boolean;
    readonly column: number;
    readonly separator: string;
    readonly labelAlign: import("./interface").LabelAlign;
    readonly labelPlacement: import("./interface").LabelPlacement;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
